### Property

# Gio Socket:protocol

since: 2.22

#### Declaration

    property protocol: Gio.SocketProtocol [ read, write, construct-only ]

#### Description [src]

The ID of the protocol to use, or `-1` for unknown.

Type:`GSocketProtocol`

Available since: 2.22

Default value | G_SOCKET_PROTOCOL_UNKNOWN
Getter method | `g_socket_get_protocol()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes